## dnswire 0.3.3

=== .copr/Makefile ===
top=..

all: srpm

prereq: $(top)/rpmbuild
	rpm -q git rpm-build >/dev/null || dnf -y install git rpm-build

update-dist-tools: $(top)/dist-tools
	( cd "$(top)/dist-tools" && git pull )

$(top)/dist-tools:
	git clone https://github.com/jelu/dist-tools.git "$(top)/dist-tools"

$(top)/rpmbuild:
	mkdir -p "$(top)"/rpmbuild/{BUILD,RPMS,SOURCES,SPECS,SRPMS}

srpm: prereq update-dist-tools
	test -f .gitmodules && git submodule update --init || true
	echo "$(spec)" | grep -q "develop.spec" && auto_build_number=`date --utc +%s` message="Auto build `date --utc --iso-8601=seconds`" "$(top)/dist-tools/spec-new-changelog-entry" || true
	overwrite=yes nosign=yes "$(top)/dist-tools/create-source-packages" rpm
	cp ../*.orig.tar.gz "$(top)/rpmbuild/SOURCES/"
	echo "$(spec)" | grep -q "develop.spec" && rpmbuild -bs --define "%_topdir $(top)/rpmbuild" --undefine=dist rpm/*.spec || rpmbuild -bs --define "%_topdir $(top)/rpmbuild" --undefine=dist "$(spec)"
	cp "$(top)"/rpmbuild/SRPMS/*.src.rpm "$(outdir)"

## dnswire 0.2.0

=== debian/changelog ===
dnswire (0.2.0-2) sid; urgency=medium

  * Uploading to sid.
  * Recursively removing src/dnstap.pb (Closes: #1005263).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 10 Feb 2022 10:39:48 +0100

dnswire (0.2.0-1) sid; urgency=medium

  * Initial upload to sid (Closes: #1003735).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 14 Jan 2022 18:37:40 +0100

=== debian/control ===
Source: dnswire
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 golang-github-dnstap-golang-dnstap-dev,
 libprotobuf-c-dev,
 libtinyframe-dev,
 libuv1-dev,
 pkg-config,
 protobuf-c-compiler,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/DNS-OARC/dnswire
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/dnswire
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/dnswire

Package: libdnswire-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Description: DNS encapsulations and transporting (development)
 dnswire is a C library for encoding/decoding different DNS encapsulations and
 transporting them over different protocols.
 .
 This package contains the development files.

Package: libdnswire0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DNS encapsulations and transporting (library)
 dnswire is a C library for encoding/decoding different DNS encapsulations and
 transporting them over different protocols.
 .
 Supported encapsulations:
 .
   * DNSTAP using Protobuf
   * Frame Streams using tinyframe

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

execute_after_dh_auto_clean:
	rm -rf src/dnstap.pb

execute_after_dh_auto_configure:
	ln -s /usr/share/gocode/src/github.com/dnstap/golang-dnstap/dnstap.pb src/dnstap.pb

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/tmp/usr/lib/*/*.la
	rm -f debian/tmp/usr/share/doc/*/README.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dnswire-$1\.tar\.gz/ \
https://github.com/DNS-OARC/dnswire/tags .*/v?(\d\S+)\.tar\.gz

## dnswire 0.3.3

=== debian/changelog ===
dnswire (0.3.3-4) sid; urgency=medium

  * Uploading to sid.
  * Adding required depends in libdnswire-dev explicitly.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Feb 2023 13:40:58 +0100

dnswire (0.3.3-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Creating empty directory for dnstap.proto to workaround git.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 25 Jan 2023 09:28:55 +0100

dnswire (0.3.3-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading source-only without other changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Jul 2022 15:57:41 +0200

dnswire (0.3.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.3.3.
  * Updating packages for soname bump to 1.
  * Updating to standards version 4.6.1.
  * Temporarily using a local copy of dnstap.proto as new dnswire requires
    the latest git head of it.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 10 Feb 2022 10:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
- golang-github-dnstap-golang-dnstap-dev,
  libprotobuf-c-dev,
  libtinyframe-dev,
  libuv1-dev,
  pkg-config,
  protobuf-c-compiler,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/DNS-OARC/dnswire
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/dnswire
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/dnswire
@@ -20,6 +19,9 @@
 Section: libdevel
 Architecture: any
 Depends:
+ libdnswire1 (= ${binary:Version}),
+ libprotobuf-c-dev,
+ libtinyframe-dev,
  ${misc:Depends},
 Description: DNS encapsulations and transporting (development)
  dnswire is a C library for encoding/decoding different DNS encapsulations and
@@ -27,7 +29,7 @@
  .
  This package contains the development files.
 
-Package: libdnswire0
+Package: libdnswire1
 Section: libs
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,11 @@
 	dh ${@}
 
 execute_after_dh_auto_clean:
-	rm -rf src/dnstap.pb
+	rm -f src/dnstap.pb/dnstap.proto
 
 execute_after_dh_auto_configure:
-	ln -s /usr/share/gocode/src/github.com/dnstap/golang-dnstap/dnstap.pb src/dnstap.pb
+	mkdir -p src/dnstap.pb
+	ln -s ../../debian/local/dnstap.proto src/dnstap.pb/dnstap.proto
 
 execute_after_dh_auto_install:
 	# removing unused files

## dnswire 0.4.0

=== debian/changelog ===
dnswire (0.4.0-9) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:50:28 +0200

dnswire (0.4.0-8) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:37:46 +0100

dnswire (0.4.0-7) sid; urgency=medium

  * Re-adding missing changelog for 0.4.0-3.1~exp1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 21:04:09 +0100

dnswire (0.4.0-6) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating my email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Feb 2025 06:54:27 +0100

dnswire (0.4.0-5) sid; urgency=medium

  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:32:45 +0200

dnswire (0.4.0-4) sid; urgency=medium

  * Bumping build-depends on debhelper for t64 transition.
  * Wrap and sorting debian files.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Mar 2024 07:09:19 +0100

dnswire (0.4.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062378

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:00:15 +0000

dnswire (0.4.0-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 08:35:45 +0000

dnswire (0.4.0-3) sid; urgency=medium

  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1045064).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 11:09:26 +0200

dnswire (0.4.0-2) sid; urgency=medium

  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 11 Jun 2023 14:11:25 +0200

dnswire (0.4.0-1) experimental; urgency=medium

  * Merging upstream version 0.4.0.
  * Updating local dnstap.proto to 20220708 (1061e3e).
  * Adding upstream target in rules.

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Mar 2023 19:02:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: dnswire
 Section: libs
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
+ debhelper (>= 13.14~),
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  libprotobuf-c-dev,
  libtinyframe-dev,
  libuv1-dev,
  pkg-config,
  protobuf-c-compiler,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/DNS-OARC/dnswire
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/dnswire
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/dnswire
+Vcs-Browser: https://forgejo.debian.net/dns-oarc/dnswire
+Vcs-Git: https://forgejo.debian.net/dns-oarc/dnswire
 
 Package: libdnswire-dev
 Section: libdevel
 Architecture: any
 Depends:
- libdnswire1 (= ${binary:Version}),
+ libdnswire1t64 (= ${binary:Version}),
  libprotobuf-c-dev,
  libtinyframe-dev,
  ${misc:Depends},
@@ -29,7 +31,13 @@
  .
  This package contains the development files.
 
-Package: libdnswire1
+Package: libdnswire1t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libdnswire1,
+Breaks:
+ libdnswire1 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,19 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+upstream:
+	rm -f debian/local/dnstap.proto
+	wget https://raw.githubusercontent.com/dnstap/dnstap.pb/master/dnstap.proto -O debian/local/dnstap.proto
 
 %:
 	dh ${@}
 
 execute_after_dh_auto_clean:
 	rm -f src/dnstap.pb/dnstap.proto
+
+	# remove generated files
+	rm -f src/dnstap.pb-c.h
 
 execute_after_dh_auto_configure:
 	mkdir -p src/dnstap.pb

=== debian/watch ===
version=4
https://github.com/DNS-OARC/dnswire/tags .*/v?(\d.*)@ARCHIVE_EXT@
